MORStruct::Pattern Struct Reference

`#include <MORParser.hxx>`

## Public Member Functions

| Pattern ()
| constructor More...

## Public Attributes

unsigned char | m_pattern [8]
| the pattern More...
MWAWColor | m_frontColor
| the front color More...
MWAWColor | m_backColor
| the back color More...

## Friends

std::ostream & | operator<< (std::ostream &o, Pattern const &pat)
| operator<< More...

## Constructor & Destructor Documentation

MORStruct::Pattern::Pattern | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Pattern const & | pat
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor MORStruct::Pattern::m_backColor

the back color

Referenced by MORStruct::operator<<(), and MORParser::readPattern().

MWAWColor MORStruct::Pattern::m_frontColor

the front color

Referenced by MORStruct::operator<<(), and MORParser::readPattern().

unsigned char MORStruct::Pattern::m_pattern[8]

the pattern

Referenced by MORStruct::operator<<(), Pattern(), and MORParser::readPattern().

The documentation for this struct was generated from the following file:

- MORParser.hxx